Loading...
Searching...
No Matches
Ogre::PortalBaseFactory Class Reference

Factory object for creating Portal instances. More...

`#include <OgrePortalBase.h>`

Inheritance diagram for Ogre::PortalBaseFactory:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Ogre::MovableObjectFactory
| MovableObjectFactory ()
virtual | ~MovableObjectFactory ()
void | _notifyTypeFlags (uint32 flag)
| Notify this factory of the type mask to apply.
MovableObject * | createInstance (const String &name, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object.
virtual void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object.
virtual const String & | getType (void) const =0
| Get the type of the object to be created.
uint32 | getTypeFlags (void) const
| Gets the type flag for this factory.
virtual bool | requestTypeFlags (void) const
| Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries?

## Detailed Description

Factory object for creating Portal instances.

The documentation for this class was generated from the following file:

- OgrePortalBase.h